Public Class FrmRoulette

    Dim MyRandom As Random = New Random

    Private Sub btnSimulate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSimulate.Click
        Dim Amount As Integer
        Dim Spin As Integer
        Dim SpinCounter As Integer
        Dim i As Integer
        Dim Sum As Integer = 0
        Dim SampleSize As Integer

        Try
            SampleSize = txtSampleSize.Text
        Catch ex As Exception
            MsgBox("Enter a number for the number of samples.")
            Exit Sub
        End Try


        For i = 1 To SampleSize
            Amount = nudStart.Value
            SpinCounter = 0
            Do While Amount > 0
                SpinCounter += 1
                Spin = MyRandom.Next(1, 39)
                Select Case Spin
                    Case 1, 3, 5, 7, 9, 12, 14, 16, 18, 19, 21, 23, 25, 27, 30, 32, 34, 36
                        'MsgBox("red")
                        Amount += 1
                    Case 2, 4, 6, 8, 10, 11, 13, 15, 17, 20, 22, 24, 26, 28, 29, 31, 33, 35
                        'MsgBox("black")
                        Amount -= 1
                    Case 37, 38
                        'MsgBox("green")
                        Amount -= 1
                End Select
            Loop
            lstSpins.Items.Add(SpinCounter)
            Sum += SpinCounter
        Next
        'MsgBox(Sum / SampleSize)
        lblresult.Text = "Using a sample size of " & SampleSize & " and a starting amount of " & Format(nudStart.Value, "Currency") & ", the player would lose on average after " & (Sum / SampleSize) & " spins of the wheel."

    End Sub

    Private Sub nudStart_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudStart.ValueChanged
        lblresult.Text = ""
        lstSpins.Items.Clear()
    End Sub

    Private Sub txtSampleSize_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSampleSize.TextChanged
        lblresult.Text = ""
        lstSpins.Items.Clear()
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lblresult.Text = ""
        lstSpins.Items.Clear()
    End Sub
End Class
